Support Center

What iOS devices are supported for HD playback?

Last Updated: Oct 03, 2013 09:19AM PDT

To watch movies in HD on your iPhone, iPad or iPod Touch, you’ll need version 6.6 of the Flixster app and a minimum of iOS 6.

Devices that are currently supported are:

iPhone 4 and above

iPad 2 and above

iPod Touch 4th Generation and above